---
sidebar_position: 12
description: Create prealert and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create prealert
 Creates a prealert for the order list



`Function CreatePrealert(Val Token, Val UUIDArray, Val TransferDate, Val Point, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUIDArray | --uuids | String, Array of String | &#x2714; | One or an array of order UUIDs |
  | TransferDate | --date | Date | &#x2714; | Planned date of transfer of orders to CDEK |
  | Point | --point | String | &#x2714; | Code of shipment point to which it is planned to transfer orders |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Method at API documentation: [Registration of Prealert document](https://api-docs.cdek.ru/78935159.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token        = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID         = "50fbb719-69d4-4ded-93ca-ff7d005c9fae";
    Point        = "NSK27";
    TransferDate = OPI_Tools.GetCurrentDate() + 60 * 60 * 24;

    Result = OPI_CDEK.CreatePrealert(Token, UUID, TransferDate, Point, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek CreatePrealert \
             --token "***" \
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" \
             --date "2025-12-11T20:09:25.667554" \
             --point "NSK27" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek CreatePrealert ^
             --token "***" ^
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" ^
             --date "2025-12-11T20:09:25.667554" ^
             --point "NSK27" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "uuid": "a9a94f3b-1925-4502-8e8a-372217fa3cf5"
 },
 "requests": [
  {
   "request_uuid": "57b53be4-de5b-467d-ae0c-415e538a54bd",
   "type": "CREATE",
   "date_time": "2025-12-10T20:09:27+00:00",
   "state": "ACCEPTED"
  }
 ],
 "related_entities": []
}
```
